List documents currently existing in knowledge base
curl -X GET "https://api.prd.rad.security/tenants/example_string/knowledge_base/documents?limit=50&offset=0&filter=example_string" \
-H "Content-Type: application/json"
import requests
import json
url = "https://api.prd.rad.security/tenants/example_string/knowledge_base/documents?limit=50&offset=0&filter=example_string"
headers = {
"Content-Type": "application/json"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://api.prd.rad.security/tenants/example_string/knowledge_base/documents?limit=50&offset=0&filter=example_string", {
method: "GET",
headers: {
"Content-Type": "application/json"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://api.prd.rad.security/tenants/example_string/knowledge_base/documents?limit=50&offset=0&filter=example_string", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.prd.rad.security/tenants/example_string/knowledge_base/documents?limit=50&offset=0&filter=example_string')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Content-Type'] = 'application/json'
response = http.request(request)
puts response.body
{
"current_offset": 42,
"has_more": true,
"total_count": 10,
"entries": [
{
"id": "example_string",
"tenant_id": "example_string",
"account_id": "example_string",
"file_name": "John Doe",
"status": "example_string",
"collections": [
"example_string"
],
"created_at": "2024-12-25T10:00:00Z",
"uploaded_at": "2024-12-25T10:00:00Z",
"updated_at": "2024-12-25T10:00:00Z"
}
]
}
{
"code": "example_string",
"request_id": "example_string",
"status": 42,
"validation_details": [
{
"code": "example_string",
"field": "example_string",
"message": "example_string",
"param": "example_string"
}
]
}
GET
/tenants/{tenant_id}/knowledge_base/documentsGET
Base URLstring
Target server for requests. Edit to use your own host.
path
tenant_idstring
RequiredRAD tenant ID
query
limitinteger
Number of records to return
Min: 1
query
offsetinteger
Requested record offset
Min: 0
query
filterstring
The filter query for the collection, in the form of 'key1:value1,key1:value2,key2:value3'
Request Preview
Response
Response will appear here after sending the request
Path Parameters
tenant_idstring
RequiredRAD tenant ID
Query Parameters
limitinteger
Number of records to return
offsetinteger
Requested record offset
filterstring
The filter query for the collection, in the form of 'key1:value1,key1:value2,key2:value3'
Responses
current_offsetinteger
RequiredThe offset of the currently requested record set
has_moreboolean
RequiredIf there are more records available
total_countinteger
RequiredThe total number of records that match the criteria
entriesarray
RequiredWas this page helpful?